package com.eactive.eai.rms.onl.manage.rule.layoutsync;

import com.eactive.eai.rms.onl.manage.rule.layout.LayoutVo;

public class LayoutSyncVo {
	public static String TYPE_FORMAT  = "Format";
	public static String TYPE_FLD     = "Field";
	public static String TYPE_GRID    = "Grid";
	public static String TYPE_COLUMN  = "Column";
	
	public static String LAYOUT_ID    = "id";
	public static String LAYOUT_DESC  = "desc";
	public static String LAYOUT_AUTHR = "author";
	public static String LAYOUT_USSYS = "usesystem";
	public static String LAYOUT_GROUP = "group";
	public static String LAYOUT_MSGTY = "msgType";
	public static String LAYOUT_IOTY  = "ioType";
	
	public static String LAYOUT_MSGTP = "msg_type";
	public static String LAYOUT_PART  = "part";
	public static String LAYOUT_TYPE  = "type";
	public static String LAYOUT_LEN   = "len";
	public static String LAYOUT_SCALE = "scale";
	public static String LAYOUT_COUNT = "count";
	public static String LAYOUT_SPEC  = " ";

	String fieldType;
	String id;
	String desc;
	String type;
	int    len;
	int    scale;
	String count;
	
	int no;
	int depth;
	String maxCnt;
	String baseVal;
	String mask;
	
	public LayoutVo convertLayoutVo() {
		LayoutVo vo = new LayoutVo();
		vo.setLoutItemName(id);
		vo.setLoutItemSerno(no);
		vo.setLoutDesc(desc);
		vo.setLyoutItemRefPtrnIDName(type);  // 값 확인 필요
		vo.setLoutItemLenCnt(len);
		vo.setDecptLenCnt(scale);
		vo.setLoutItemRefInfo2(count);
		vo.setDecptLenCnt(depth);
		vo.setLoutItemMaxOccurNoitm(Integer.parseInt(maxCnt));
		vo.setLoutItemBascVal(baseVal);
		vo.setLoutItemMskYn(mask);
		return vo;
	}
	public String getFieldType() {
		return fieldType;
	}
	public void setFieldType(String fieldType) {
		this.fieldType = fieldType;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getDesc() {
		return desc;
	}
	public void setDesc(String desc) {
		this.desc = desc;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public int getLen() {
		return len;
	}
	public void setLen(int len) {
		this.len = len;
	}
	public int getScale() {
		return scale;
	}
	public void setScale(int scale) {
		this.scale = scale;
	}
	public String getCount() {
		return count;
	}
	public void setCount(String count) {
		this.count = count;
	}
	
	public int getNo() {
		return no;
	}
	public void setNo(int no) {
		this.no = no;
	}
	public int getDepth() {
		return depth;
	}
	public void setDepth(int depth) {
		this.depth = depth;
	}
	public String getMaxCnt() {
		return maxCnt;
	}
	public void setMaxCnt(String maxCnt) {
		this.maxCnt = maxCnt;
	}
	public String getDefault() {
		return baseVal;
	}
	public void setDefault(String baseVal) {
		this.baseVal = baseVal;
	}
	public String getMask() {
		return mask;
	}
	public void setMask(String mask) {
		this.mask = mask;
	}
	public String toXmlString() {
		return null;
	}
}
